"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.UseWarningAlert = exports.warningAlert = exports.UseErrorAlert = exports.errorAlert = exports.UseAlert = exports.alert = void 0;
const tslib_1 = require("tslib");
require("../../stories/config");
const free_solid_svg_icons_1 = require("@fortawesome/free-solid-svg-icons");
const addon_knobs_1 = require("@storybook/addon-knobs");
const react_1 = tslib_1.__importDefault(require("react"));
const Button_1 = tslib_1.__importDefault(require("react-bootstrap/Button"));
const Alert_1 = require("./Alert");
const ErrorAlert_1 = require("./ErrorAlert");
const WarningAlert_1 = require("./WarningAlert");
exports.default = {
    title: "UI Bootstrap/Components/Alert",
    parameters: {
        info: { inline: true },
        options: { showPanel: true },
        component: Alert_1.Alert,
        subComponents: [ErrorAlert_1.ErrorAlert, WarningAlert_1.WarningAlert],
    },
    decorators: [addon_knobs_1.withKnobs],
};
const alert = () => {
    const variant = addon_knobs_1.select("Variant", ["primary", "secondary", "success", "danger", "warning", "info", "dark", "light", undefined], "primary");
    const icon = addon_knobs_1.boolean("Icon", false);
    return (react_1.default.createElement(Alert_1.Alert, { variant: variant, icon: icon ? { icon: free_solid_svg_icons_1.faAtom } : undefined }, "Test alert"));
};
exports.alert = alert;
const UseAlert = () => {
    const content = addon_knobs_1.text("Content", "This is the alert content");
    const variant = addon_knobs_1.select("Variant", ["primary", "secondary", "success", "danger", "warning", "info", "dark", "light", undefined], "primary");
    const icon = addon_knobs_1.boolean("Icon", false);
    const { alert, setAlert } = Alert_1.useAlert({
        variant,
        icon: icon ? { icon: free_solid_svg_icons_1.faAtom } : undefined,
    });
    return (react_1.default.createElement(react_1.default.Fragment, null,
        react_1.default.createElement(Button_1.default, { onClick: () => setAlert(content) }, "Click on me"),
        react_1.default.createElement("hr", null),
        alert));
};
exports.UseAlert = UseAlert;
const errorAlert = () => (react_1.default.createElement(ErrorAlert_1.ErrorAlert, null, new Error("Test error alert")));
exports.errorAlert = errorAlert;
const UseErrorAlert = () => {
    const content = addon_knobs_1.text("Content", "This is the error alert content");
    const { errorAlert, setErrorAlert } = ErrorAlert_1.useErrorAlert();
    return (react_1.default.createElement(react_1.default.Fragment, null,
        react_1.default.createElement(Button_1.default, { onClick: () => setErrorAlert(new Error(content)) }, "Click on me"),
        react_1.default.createElement("hr", null),
        errorAlert));
};
exports.UseErrorAlert = UseErrorAlert;
const warningAlert = () => react_1.default.createElement(WarningAlert_1.WarningAlert, null, "Test warning alert");
exports.warningAlert = warningAlert;
const UseWarningAlert = () => {
    const content = addon_knobs_1.text("Content", "This is the warning alert content");
    const { warningAlert, setWarningAlert } = WarningAlert_1.useWarningAlert();
    return (react_1.default.createElement(react_1.default.Fragment, null,
        react_1.default.createElement(Button_1.default, { onClick: () => setWarningAlert(content) }, "Click on me"),
        react_1.default.createElement("hr", null),
        warningAlert));
};
exports.UseWarningAlert = UseWarningAlert;
//# sourceMappingURL=Alert.stories.js.map