"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.UseConfirmation = exports.confirmationAction = void 0;
const tslib_1 = require("tslib");
require("../../stories/config");
const addon_actions_1 = require("@storybook/addon-actions");
const addon_knobs_1 = require("@storybook/addon-knobs");
const react_1 = tslib_1.__importDefault(require("react"));
const Button_1 = tslib_1.__importDefault(require("react-bootstrap/Button"));
const Confirmation_1 = require("./Confirmation");
const UI_1 = require("../UI");
exports.default = {
    title: "UI Bootstrap/Components/Confirmation",
    parameters: {
        info: { inline: true },
        options: { showPanel: true },
        component: Confirmation_1.ConfirmationAction,
    },
    component: Confirmation_1.ConfirmationAction,
    decorators: [addon_knobs_1.withKnobs],
};
const confirmationAction = () => (react_1.default.createElement(UI_1.UIContextProvider, null,
    react_1.default.createElement(Confirmation_1.ConfirmationAction, { title: "Confirm?", confirmationMessage: "Do you want to perform this action", successMessage: "The action has been confirmed", onConfirm: () => tslib_1.__awaiter(void 0, void 0, void 0, function* () {
            yield new Promise((resolve) => setTimeout(resolve, 1000));
            addon_actions_1.action("Action confirmed")();
            return "ok";
        }), onSuccess: addon_actions_1.action("Action succeed") },
        react_1.default.createElement(Button_1.default, null, "Click on me"))));
exports.confirmationAction = confirmationAction;
const UseConfirmation = () => {
    const title = addon_knobs_1.text("Title", "This is a confirmation");
    const content = addon_knobs_1.text("Content", "This is a confirmation content");
    const { confirmation, setConfirmation } = Confirmation_1.useConfirmation({
        title,
        children: content,
        callback: (confirm) => tslib_1.__awaiter(void 0, void 0, void 0, function* () {
            addon_actions_1.action(confirm ? "Action confirmed" : "Action canceled")();
        }),
    });
    return (react_1.default.createElement(react_1.default.Fragment, null,
        react_1.default.createElement(Button_1.default, { onClick: () => setConfirmation(true) }, "Click on me"),
        confirmation));
};
exports.UseConfirmation = UseConfirmation;
//# sourceMappingURL=Confirmation.stories.js.map