"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.CreateInModal = exports.BasicCreate = void 0;
const tslib_1 = require("tslib");
require("../../../stories/config");
const addon_actions_1 = require("@storybook/addon-actions");
const react_1 = tslib_1.__importDefault(require("react"));
const Button_1 = tslib_1.__importDefault(require("react-bootstrap/Button"));
const yup_1 = require("yup");
const Create_1 = require("./Create");
const FormField_1 = require("../../form/FormField");
const UI_1 = require("../../UI");
exports.default = {
    title: "UI Bootstrap/Components/Crud/Create",
    parameters: { info: { inline: true }, options: { showPanel: true }, component: Create_1.Create },
};
const BasicCreate = () => (react_1.default.createElement(UI_1.UIContextProvider, null,
    react_1.default.createElement(Create_1.Create, { form: {
            title: "Create form",
            onSubmit: (values) => tslib_1.__awaiter(void 0, void 0, void 0, function* () {
                yield new Promise((resolve) => setTimeout(resolve, 1000));
                addon_actions_1.action("Form submit")(values);
                return values;
            }),
            successMessage: "Creation succeed",
            onSuccess: addon_actions_1.action("Form submit succeed"),
            validationSchema: { test: yup_1.string().required("Test is required") },
            initialValues: { test: "" },
            children: react_1.default.createElement(FormField_1.FormField, { name: "test", autoFocus: true, placeholder: "Basic form input" }),
        } })));
exports.BasicCreate = BasicCreate;
const CreateInModal = () => (react_1.default.createElement(UI_1.UIContextProvider, null,
    react_1.default.createElement(Create_1.Create, { modal: true, form: {
            title: "Create form",
            onSubmit: (values) => tslib_1.__awaiter(void 0, void 0, void 0, function* () {
                yield new Promise((resolve) => setTimeout(resolve, 1000));
                addon_actions_1.action("Form submit")(values);
                return values;
            }),
            successMessage: "Creation succeed",
            onSuccess: addon_actions_1.action("Form submit succeed"),
            validationSchema: { test: yup_1.string().required("Test is required") },
            initialValues: { test: "" },
            children: react_1.default.createElement(FormField_1.FormField, { name: "test", autoFocus: true, placeholder: "Basic form input" }),
        } },
        react_1.default.createElement(Button_1.default, null, "Open create form in modal"))));
exports.CreateInModal = CreateInModal;
//# sourceMappingURL=Create.stories.js.map