"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.BasicListTable = exports.BasicList = void 0;
const tslib_1 = require("tslib");
require("../../../stories/config");
const addon_knobs_1 = require("@storybook/addon-knobs");
const react_1 = tslib_1.__importDefault(require("react"));
const UI_1 = require("../../UI");
const List_1 = require("./List");
const ListTable_1 = require("./ListTable");
exports.default = {
    title: "UI Bootstrap/Components/Crud/List",
    parameters: {
        info: { inline: true },
        options: { showPanel: true },
        component: List_1.List,
        subcomponents: [ListTable_1.ListTable],
    },
    decorators: [addon_knobs_1.withKnobs],
};
const BasicList = () => {
    const loading = addon_knobs_1.boolean("Is loading?", false);
    const hasError = addon_knobs_1.boolean("Has error?", false);
    return (react_1.default.createElement(UI_1.UIContextProvider, null,
        react_1.default.createElement(List_1.List, { loading: loading, error: hasError ? new Error("An error has occured") : undefined, data: {
                count: 2,
                items: [
                    { id: "1", label: "Data 1" },
                    { id: "2", label: "Data 2" },
                ],
            }, refetch: () => null }, ({ data }) => (react_1.default.createElement("ul", null, data.items.map((item) => (react_1.default.createElement("li", { key: item.id },
            react_1.default.createElement("dl", null,
                react_1.default.createElement("dt", null, "Id"),
                react_1.default.createElement("dd", null, item.id),
                react_1.default.createElement("dt", null, "Label"),
                react_1.default.createElement("dd", null, item.label))))))))));
};
exports.BasicList = BasicList;
const BasicListTable = () => {
    const loading = addon_knobs_1.boolean("Is loading?", false);
    const hasError = addon_knobs_1.boolean("Has error?", false);
    return (react_1.default.createElement(UI_1.UIContextProvider, null,
        react_1.default.createElement(ListTable_1.ListTable, { loading: loading, error: hasError ? new Error("An error has occured") : undefined, head: ["ID", "Label"], data: {
                count: 2,
                items: [
                    { id: "1", label: "Data 1" },
                    { id: "2", label: "Data 2" },
                ],
            }, refetch: () => null }, (data) => (react_1.default.createElement("tr", { key: data.id },
            react_1.default.createElement("td", null, data.id),
            react_1.default.createElement("td", null, data.label))))));
};
exports.BasicListTable = BasicListTable;
//# sourceMappingURL=List.stories.js.map