"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.BasicRead = void 0;
const tslib_1 = require("tslib");
require("../../../stories/config");
const addon_knobs_1 = require("@storybook/addon-knobs");
const react_1 = tslib_1.__importDefault(require("react"));
const react_bootstrap_1 = require("react-bootstrap");
const Read_1 = require("./Read");
const UI_1 = require("../../UI");
exports.default = {
    title: "UI Bootstrap/Components/Crud/Read",
    parameters: { info: { inline: true }, options: { showPanel: true }, component: Read_1.Read },
    decorators: [addon_knobs_1.withKnobs],
};
const BasicRead = () => {
    const loading = addon_knobs_1.boolean("Is loading?", false);
    const hasError = addon_knobs_1.boolean("Has error?", false);
    return (react_1.default.createElement(UI_1.UIContextProvider, null,
        react_1.default.createElement(Read_1.Read, { loading: loading, refetch: () => null, error: hasError ? new Error("An error has occured") : undefined, data: { id: "1", label: "Data 1" } }, ({ data }) => (react_1.default.createElement(react_bootstrap_1.ListGroup, null,
            react_1.default.createElement(react_bootstrap_1.ListGroup.Item, null,
                "ID: ",
                data.id),
            react_1.default.createElement(react_bootstrap_1.ListGroup.Item, null,
                "Label: ",
                data.label))))));
};
exports.BasicRead = BasicRead;
//# sourceMappingURL=Read.stories.js.map