"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.UpdateInModal = exports.BasicUpdate = void 0;
const tslib_1 = require("tslib");
require("../../../stories/config");
const addon_actions_1 = require("@storybook/addon-actions");
const react_1 = tslib_1.__importDefault(require("react"));
const Button_1 = tslib_1.__importDefault(require("react-bootstrap/Button"));
const yup_1 = require("yup");
const Update_1 = require("./Update");
const FormField_1 = require("../../form/FormField");
const UI_1 = require("../../UI");
exports.default = {
    title: "UI Bootstrap/Components/Crud/Update",
    parameters: { info: { inline: true }, options: { showPanel: true }, component: Update_1.Update },
};
const BasicUpdate = () => (react_1.default.createElement(UI_1.UIContextProvider, null,
    react_1.default.createElement(Update_1.Update, { form: {
            title: "Update form",
            onSubmit: (values) => tslib_1.__awaiter(void 0, void 0, void 0, function* () {
                yield new Promise((resolve) => setTimeout(resolve, 1000));
                addon_actions_1.action("Form submit")(values);
                return values;
            }),
            successMessage: "Update succeed",
            onSuccess: addon_actions_1.action("Form submit succeed"),
            validationSchema: { test: yup_1.string().required("Test is required") },
            initialValues: { test: "test value" },
            children: react_1.default.createElement(FormField_1.FormField, { name: "test", autoFocus: true, placeholder: "Basic form input" }),
        } })));
exports.BasicUpdate = BasicUpdate;
const UpdateInModal = () => (react_1.default.createElement(UI_1.UIContextProvider, null,
    react_1.default.createElement(Update_1.Update, { modal: true, form: {
            title: "Update form",
            onSubmit: (values) => tslib_1.__awaiter(void 0, void 0, void 0, function* () {
                yield new Promise((resolve) => setTimeout(resolve, 1000));
                addon_actions_1.action("Form submit")(values);
                return values;
            }),
            successMessage: "Update succeed",
            onSuccess: addon_actions_1.action("Form submit succeed"),
            validationSchema: { test: yup_1.string().required("Test is required") },
            initialValues: { test: "test value" },
            children: react_1.default.createElement(FormField_1.FormField, { name: "test", autoFocus: true, placeholder: "Basic form input" }),
        } },
        react_1.default.createElement(Button_1.default, null, "Open update form in modal"))));
exports.UpdateInModal = UpdateInModal;
//# sourceMappingURL=Update.stories.js.map