"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.FormWithCheckbox = exports.FormWithSelect = exports.FormWithTextArea = exports.FormWithLabelledInput = exports.BasicForm = void 0;
const tslib_1 = require("tslib");
const addon_actions_1 = require("@storybook/addon-actions");
const react_1 = tslib_1.__importDefault(require("react"));
const yup_1 = require("yup");
const Form_1 = require("./Form");
const FormField_1 = require("./FormField");
const UI_1 = require("../UI");
exports.default = {
    title: "UI Bootstrap/Components/Form",
    parameters: { info: { inline: true }, options: { showPanel: true }, component: Form_1.Form },
    subComponents: [FormField_1.FormField],
};
const BasicForm = () => (react_1.default.createElement(UI_1.UIContextProvider, null,
    react_1.default.createElement(Form_1.Form, { title: "Basic form", submitButton: true, onSubmit: (values) => tslib_1.__awaiter(void 0, void 0, void 0, function* () {
            addon_actions_1.action("Form submitted...")(values);
            yield new Promise((resolve) => setTimeout(resolve, 1000));
            return values;
        }), onSuccess: addon_actions_1.action("Form submit succeed"), validationSchema: { test: yup_1.string().required("Test is required") }, initialValues: { test: "" } },
        react_1.default.createElement(FormField_1.FormField, { name: "test", autoFocus: true, placeholder: "Basic form input" }))));
exports.BasicForm = BasicForm;
const FormWithLabelledInput = () => (react_1.default.createElement(UI_1.UIContextProvider, null,
    react_1.default.createElement(Form_1.Form, { title: "Basic form", submitButton: true, onSubmit: (values) => tslib_1.__awaiter(void 0, void 0, void 0, function* () {
            addon_actions_1.action("Form submitted...")(values);
            yield new Promise((resolve) => setTimeout(resolve, 1000));
            return values;
        }), onSuccess: addon_actions_1.action("Form submit succeed"), validationSchema: { test: yup_1.string().required("Test is required") }, initialValues: { test: "" } },
        react_1.default.createElement(FormField_1.FormField, { label: "Test", name: "test", autoFocus: true, placeholder: "Basic form input" }))));
exports.FormWithLabelledInput = FormWithLabelledInput;
const FormWithTextArea = () => (react_1.default.createElement(UI_1.UIContextProvider, null,
    react_1.default.createElement(Form_1.Form, { title: "Form with textarea", submitButton: true, onSubmit: (values) => tslib_1.__awaiter(void 0, void 0, void 0, function* () {
            addon_actions_1.action("Form submitted...")(values);
            yield new Promise((resolve) => setTimeout(resolve, 1000));
            return values;
        }), onSuccess: addon_actions_1.action("Form submit succeed"), validationSchema: { test: yup_1.string().required("Test is required") }, initialValues: { test: "" } },
        react_1.default.createElement(FormField_1.FormField, { as: "textarea", name: "test", autoFocus: true, placeholder: "Text area form input" }))));
exports.FormWithTextArea = FormWithTextArea;
const FormWithSelect = () => (react_1.default.createElement(UI_1.UIContextProvider, null,
    react_1.default.createElement(Form_1.Form, { title: "Form with select", submitButton: true, onSubmit: (values) => tslib_1.__awaiter(void 0, void 0, void 0, function* () {
            addon_actions_1.action("Form submitted...")(values);
            yield new Promise((resolve) => setTimeout(resolve, 1000));
            return values;
        }), onSuccess: addon_actions_1.action("Form submit succeed"), validationSchema: { test: yup_1.string().required("Test is required") }, initialValues: { test: "" } },
        react_1.default.createElement(FormField_1.FormField, { as: "select", name: "test", autoFocus: true },
            react_1.default.createElement("option", { value: "" }, "Choose an option"),
            react_1.default.createElement("option", { value: "1" }, "First option"),
            react_1.default.createElement("option", { value: "2" }, "Second option")))));
exports.FormWithSelect = FormWithSelect;
const FormWithCheckbox = () => (react_1.default.createElement(UI_1.UIContextProvider, null,
    react_1.default.createElement(Form_1.Form, { title: "Form with select", submitButton: true, onSubmit: (values) => tslib_1.__awaiter(void 0, void 0, void 0, function* () {
            addon_actions_1.action("Form submitted...")(values);
            yield new Promise((resolve) => setTimeout(resolve, 1000));
            return values;
        }), onSuccess: addon_actions_1.action("Form submit succeed"), validationSchema: { test: yup_1.string().required("Test is required") }, initialValues: { test: "" } },
        react_1.default.createElement(FormField_1.FormField, { label: "Test", type: "checkbox", name: "test", autoFocus: true }))));
exports.FormWithCheckbox = FormWithCheckbox;
//# sourceMappingURL=Form.stories.js.map