"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.BasicSidebar = void 0;
const tslib_1 = require("tslib");
require("../../../stories/config");
const free_solid_svg_icons_1 = require("@fortawesome/free-solid-svg-icons");
const core_1 = require("@reactionable/core");
const react_1 = tslib_1.__importDefault(require("react"));
const Button_1 = tslib_1.__importDefault(require("react-bootstrap/Button"));
const Col_1 = tslib_1.__importDefault(require("react-bootstrap/Col"));
const Container_1 = tslib_1.__importDefault(require("react-bootstrap/Container"));
const Jumbotron_1 = tslib_1.__importDefault(require("react-bootstrap/Jumbotron"));
const Row_1 = tslib_1.__importDefault(require("react-bootstrap/Row"));
const Sidebar_1 = require("./Sidebar");
const UI_1 = require("../../UI");
exports.default = {
    title: "UI Bootstrap/Components/Layout/Sidebar",
    parameters: { info: { inline: true }, options: { showPanel: true }, component: Sidebar_1.Sidebar },
};
const SampleComponent = () => {
    const { t } = core_1.useTranslation();
    const match = core_1.useRouteMatch();
    const { setNavItems } = Sidebar_1.useSidebarContext();
    setNavItems([
        {
            href: core_1.generatePath(`${match.path}/sample`, match.params),
            title: t("Go to sample page"),
            icon: { icon: free_solid_svg_icons_1.faImages },
            children: t("Sample"),
        },
    ]);
    return (react_1.default.createElement(Container_1.default, { fluid: true },
        react_1.default.createElement(Row_1.default, null,
            react_1.default.createElement(Col_1.default, null,
                react_1.default.createElement(Jumbotron_1.default, null,
                    react_1.default.createElement("h1", null, "Hello, world!"),
                    react_1.default.createElement("p", null,
                        react_1.default.createElement("b", null, "Lorem Ipsum"),
                        " is simply dummy text of the printing and typesetting industry.",
                        " ",
                        react_1.default.createElement("b", null, "Lorem Ipsum"),
                        " has been the industry' standard dummy text ever since the 1500s, when an unknown printer took a galley of type and scrambled it to make a type specimen book. It has survived not only five centuries, but also the leap into electronic typesetting, remaining essentially unchanged. It was popularised in the 1960s with the release of Letraset sheets containing ",
                        react_1.default.createElement("b", null, "Lorem Ipsum"),
                        " passages, and more recently with desktop publishing software like Aldus PageMaker including versions of ",
                        react_1.default.createElement("b", null, "Lorem Ipsum")),
                    react_1.default.createElement("p", null,
                        react_1.default.createElement(Button_1.default, { variant: "primary" }, "Learn more")))))));
};
const BasicSidebar = () => (react_1.default.createElement(UI_1.UIContextProvider, null,
    react_1.default.createElement(Sidebar_1.Sidebar, null,
        react_1.default.createElement(SampleComponent, null))));
exports.BasicSidebar = BasicSidebar;
//# sourceMappingURL=Sidebar.stories.js.map