"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.UseLoader = exports.BasicLoader = void 0;
const tslib_1 = require("tslib");
require("../../stories/config");
const addon_knobs_1 = require("@storybook/addon-knobs");
const react_1 = tslib_1.__importStar(require("react"));
const Loader_1 = require("./Loader");
exports.default = {
    title: "UI Bootstrap/Components/Loader",
    parameters: { info: { inline: true }, options: { showPanel: true }, component: Loader_1.Loader },
    decorators: [addon_knobs_1.withKnobs],
};
const BasicLoader = () => {
    const overlay = addon_knobs_1.boolean("Overlay", false);
    return react_1.default.createElement(Loader_1.Loader, { overlay: overlay });
};
exports.BasicLoader = BasicLoader;
const UseLoader = () => {
    const overlay = addon_knobs_1.boolean("Overlay", false);
    const loading = addon_knobs_1.boolean("Loading", true);
    const { loader, setLoading } = Loader_1.useLoader({ overlay });
    react_1.useEffect(() => {
        setLoading(loading);
    }, [loading]);
    return loader;
};
exports.UseLoader = UseLoader;
//# sourceMappingURL=Loader.stories.js.map