"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.UseModalFormHook = exports.ModalWithForm = exports.useModalHook = exports.BasicModal = void 0;
const tslib_1 = require("tslib");
require("../../stories/config");
const addon_actions_1 = require("@storybook/addon-actions");
const addon_knobs_1 = require("@storybook/addon-knobs");
const react_1 = tslib_1.__importDefault(require("react"));
const Button_1 = tslib_1.__importDefault(require("react-bootstrap/Button"));
const yup_1 = require("yup");
const FormField_1 = require("../form/FormField");
const Modal_1 = require("./Modal");
const ModalForm_1 = require("./ModalForm");
const useModalForm_1 = require("./useModalForm");
const UI_1 = require("../UI");
exports.default = {
    title: "UI Bootstrap/Components/Modal",
    decorators: [addon_knobs_1.withKnobs],
    parameters: {
        info: { inline: true },
        options: { showPanel: true },
        component: Modal_1.Modal,
        subComponents: [Modal_1.useModal, ModalForm_1.ModalForm, useModalForm_1.useModalForm],
    },
};
const BasicModal = () => {
    const show = addon_knobs_1.boolean("Show", true);
    return (react_1.default.createElement(Modal_1.Modal, { title: "Basic modal", show: show, body: react_1.default.createElement(react_1.default.Fragment, null,
            react_1.default.createElement("b", null, "Lorem Ipsum"),
            " is simply dummy text of the printing and typesetting industry.",
            " ",
            react_1.default.createElement("b", null, "Lorem Ipsum"),
            " has been the industry's standard dummy text ever since the 1500s, when an unknown printer took a galley of type and scrambled it to make a type specimen book. It has survived not only five centuries, but also the leap into electronic typesetting, remaining essentially unchanged. It was popularised in the 1960s with the release of Letraset sheets containing ",
            react_1.default.createElement("b", null, "Lorem Ipsum"),
            " passages, and more recently with desktop publishing software like Aldus PageMaker including versions of ",
            react_1.default.createElement("b", null, "Lorem Ipsum")), footer: react_1.default.createElement(react_1.default.Fragment, null, "Basic modal footer"), onHide: addon_actions_1.action("Modal closed") }));
};
exports.BasicModal = BasicModal;
const useModalHook = () => {
    const ModalHook = () => {
        const { openModal, modal } = Modal_1.useModal({
            onHide: addon_actions_1.action("Modal closed"),
            title: "Basic modal",
            body: (react_1.default.createElement(react_1.default.Fragment, null,
                react_1.default.createElement("b", null, "Lorem Ipsum"),
                " is simply dummy text of the printing and typesetting industry.",
                " ",
                react_1.default.createElement("b", null, "Lorem Ipsum"),
                " has been the industry's standard dummy text ever since the 1500s, when an unknown printer took a galley of type and scrambled it to make a type specimen book. It has survived not only five centuries, but also the leap into electronic typesetting, remaining essentially unchanged. It was popularised in the 1960s with the release of Letraset sheets containing ",
                react_1.default.createElement("b", null, "Lorem Ipsum"),
                " passages, and more recently with desktop publishing software like Aldus PageMaker including versions of ",
                react_1.default.createElement("b", null, "Lorem Ipsum"))),
            footer: react_1.default.createElement(react_1.default.Fragment, null, "Basic modal footer"),
        });
        return (react_1.default.createElement(react_1.default.Fragment, null,
            react_1.default.createElement(Button_1.default, { onClick: () => openModal() }, "Open modal"),
            modal));
    };
    return (react_1.default.createElement(UI_1.UIContextProvider, null,
        react_1.default.createElement(ModalHook, null)));
};
exports.useModalHook = useModalHook;
const ModalWithForm = () => {
    return (react_1.default.createElement(UI_1.UIContextProvider, null,
        react_1.default.createElement(ModalForm_1.ModalForm, { submitButton: "Submit form", closeModal: addon_actions_1.action("Modal closed"), onSubmit: (values) => tslib_1.__awaiter(void 0, void 0, void 0, function* () {
                yield new Promise((resolve) => setTimeout(resolve, 1000));
                addon_actions_1.action("Form submit")(values);
                return values;
            }), onSuccess: addon_actions_1.action("Form submit succeed"), validationSchema: { test: yup_1.string().required("Test is required") }, initialValues: { test: "" } },
            react_1.default.createElement(FormField_1.FormField, { name: "test" }))));
};
exports.ModalWithForm = ModalWithForm;
const UseModalFormHook = () => {
    const ModalFormHook = () => {
        const { openModal, modal } = useModalForm_1.useModalForm({
            onHide: addon_actions_1.action("Modal closed"),
            title: "Modal with form",
            form: {
                submitButton: "Submit form",
                onSubmit: (values) => tslib_1.__awaiter(void 0, void 0, void 0, function* () {
                    yield new Promise((resolve) => setTimeout(resolve, 1000));
                    addon_actions_1.action("Form submit")(values);
                    return values;
                }),
                onSuccess: addon_actions_1.action("Form submit succeed"),
                validationSchema: { test: yup_1.string().required("Test is required") },
                initialValues: { test: "" },
                children: react_1.default.createElement(FormField_1.FormField, { name: "test", autoFocus: true, placeholder: "Basic form input" }),
            },
        });
        return (react_1.default.createElement(react_1.default.Fragment, null,
            react_1.default.createElement(Button_1.default, { onClick: () => openModal() }, "Open modal with form"),
            modal));
    };
    return (react_1.default.createElement(UI_1.UIContextProvider, null,
        react_1.default.createElement(ModalFormHook, null)));
};
exports.UseModalFormHook = UseModalFormHook;
//# sourceMappingURL=Modal.stories.js.map