"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.UseErrorNotification = exports.errorNotification = exports.UseSuccessNotification = exports.successNotification = exports.UseNotification = exports.NotificationWithComplexContent = exports.BasicNotification = void 0;
const tslib_1 = require("tslib");
require("../../stories/config");
const addon_knobs_1 = require("@storybook/addon-knobs");
const react_1 = tslib_1.__importDefault(require("react"));
const Button_1 = tslib_1.__importDefault(require("react-bootstrap/Button"));
const ErrorNotification_1 = require("./ErrorNotification");
const Notification_1 = require("./Notification");
const SuccessNotification_1 = require("./SuccessNotification");
exports.default = {
    title: "UI Bootstrap/Components/Notification",
    parameters: {
        info: { inline: true },
        options: { showPanel: true },
        component: Notification_1.Notification,
        subComponents: [SuccessNotification_1.SuccessNotification, ErrorNotification_1.ErrorNotification],
    },
    decorators: [addon_knobs_1.withKnobs],
};
const BasicNotification = () => {
    const variant = addon_knobs_1.select("Variant", ["primary", "secondary", "success", "danger", "warning", "info", "dark", "light", undefined], "primary");
    const title = addon_knobs_1.text("Title", "This is a Basic notification");
    const content = addon_knobs_1.text("Content", "This is the notification content");
    return (react_1.default.createElement(Notification_1.Notification, { variant: variant, title: title }, content));
};
exports.BasicNotification = BasicNotification;
const NotificationWithComplexContent = () => {
    const variant = addon_knobs_1.select("Variant", ["primary", "secondary", "success", "danger", "warning", "info", "dark", "light", undefined], "primary");
    const title = addon_knobs_1.text("Title", "This is a notification With Complex Content");
    const content = (react_1.default.createElement(react_1.default.Fragment, null,
        react_1.default.createElement("b", null, "Lorem Ipsum"),
        " is simply dummy text of the printing and typesetting industry.",
        " ",
        react_1.default.createElement("b", null, "Lorem Ipsum"),
        " has been the industry's standard dummy text ever since the 1500s, when an unknown printer took a galley of type and scrambled it to make a type specimen book. It has survived not only five centuries, but also the leap into electronic typesetting, remaining essentially unchanged. It was popularised in the 1960s with the release of Letraset sheets containing ",
        react_1.default.createElement("b", null, "Lorem Ipsum"),
        " passages, and more recently with desktop publishing software like Aldus PageMaker including versions of ",
        react_1.default.createElement("b", null, "Lorem Ipsum")));
    return (react_1.default.createElement(Notification_1.Notification, { variant: variant, title: title }, content));
};
exports.NotificationWithComplexContent = NotificationWithComplexContent;
const UseNotification = () => {
    const variant = addon_knobs_1.select("Variant", ["primary", "secondary", "success", "danger", "warning", "info", "dark", "light", undefined], "primary");
    const title = addon_knobs_1.text("Title", "This is a notification");
    const content = addon_knobs_1.text("Content", "This is the notification content");
    const { notification, setNotification } = Notification_1.useNotification({ title, variant });
    return (react_1.default.createElement(react_1.default.Fragment, null,
        react_1.default.createElement(Button_1.default, { onClick: () => setNotification(content) }, "Click on me"),
        notification));
};
exports.UseNotification = UseNotification;
const successNotification = () => {
    const title = addon_knobs_1.text("Title", "This is a success notification");
    const content = addon_knobs_1.text("Content", "This is the success notification content");
    return react_1.default.createElement(SuccessNotification_1.SuccessNotification, { title: title }, content);
};
exports.successNotification = successNotification;
const UseSuccessNotification = () => {
    const title = addon_knobs_1.text("Title", "This is a success notification");
    const content = addon_knobs_1.text("Content", "This is the success notification content");
    const { successNotification, setSuccessNotification } = SuccessNotification_1.useSuccessNotification({
        title,
    });
    return (react_1.default.createElement(react_1.default.Fragment, null,
        react_1.default.createElement(Button_1.default, { onClick: () => setSuccessNotification(content) }, "Click on me"),
        successNotification));
};
exports.UseSuccessNotification = UseSuccessNotification;
const errorNotification = () => {
    const title = addon_knobs_1.text("Title", "This is an error notification");
    const content = addon_knobs_1.text("Content", "This is an error notification content");
    return react_1.default.createElement(ErrorNotification_1.ErrorNotification, { title: title }, new Error(content));
};
exports.errorNotification = errorNotification;
const UseErrorNotification = () => {
    const title = addon_knobs_1.text("Title", "This is a success notification");
    const content = addon_knobs_1.text("Content", "This is the success notification content");
    const { errorNotification, setErrorNotification } = ErrorNotification_1.useErrorNotification({
        title,
    });
    return (react_1.default.createElement(react_1.default.Fragment, null,
        react_1.default.createElement(Button_1.default, { onClick: () => setErrorNotification(new Error(content)) }, "Click on me"),
        errorNotification));
};
exports.UseErrorNotification = UseErrorNotification;
//# sourceMappingURL=Notification.stories.js.map