"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.BasicPaginator = void 0;
const tslib_1 = require("tslib");
require("../../stories/config");
const addon_actions_1 = require("@storybook/addon-actions");
const addon_knobs_1 = require("@storybook/addon-knobs");
const react_1 = tslib_1.__importDefault(require("react"));
const Paginator_1 = require("./Paginator");
exports.default = {
    title: "UI Bootstrap/Components/Paginator",
    parameters: {
        info: { inline: true },
        options: { showPanel: true },
        component: Paginator_1.Paginator,
    },
    decorators: [addon_knobs_1.withKnobs],
};
const BasicPaginator = () => {
    const currentPage = addon_knobs_1.number("Current page", 2);
    const totalCount = addon_knobs_1.number("Total count", 10);
    const perPage = addon_knobs_1.number("Per page", 2);
    const pageRangeDisplayed = addon_knobs_1.number("Page range displayed", 2);
    const marginPagesDisplayed = addon_knobs_1.number("Margin pages displayed", 2);
    const onChange = addon_actions_1.action(`Page changed`);
    return (react_1.default.createElement(Paginator_1.Paginator, { currentPage: currentPage, totalCount: totalCount, perPage: perPage, pageRangeDisplayed: pageRangeDisplayed, marginPagesDisplayed: marginPagesDisplayed, onChange: onChange }));
};
exports.BasicPaginator = BasicPaginator;
//# sourceMappingURL=Paginator.stories.js.map